Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class SemanticRelation

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.access.MutableDataElementSupport
              biouml.standard.type.BaseSupport
                  biouml.standard.type.GenericEntity
                      biouml.standard.type.Referrer
                          biouml.standard.type.SemanticRelation

All Implemented Interfaces:
  Base, DataElement, MutableDataElement, Relation, Type

public class SemanticRelation
extends Referrer
implements Relation

SemanticRelatio specified semantic relationships between concepts (kernels) assotiated with two nodes on the diagram.

Field Summary

Fields inherited from class biouml.standard.type.GenericEntity
`comment`

Fields inherited from class biouml.standard.type.BaseSupport
`title, type`

Fields inherited from class ru.biosoft.access.MutableDataElementSupport
`name`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Fields inherited from interface biouml.standard.type.Relation
`PARTICIPATION_DIRECT, PARTICIPATION_INDIRECT, PARTICIPATION_UNKNOWN`

Fields inherited from interface biouml.standard.type.Type
`CONSTANT, DATABASE_INFO, DIAGRAM_INFO, MATH, MATH_EQUATION, MATH_EVENT, MATH_FUNCTION, MATH_STATE, MATH_TRANSITION, TYPE_CELL, TYPE_CHEMICAL_ROLE, TYPE_COMPARTMENT, TYPE_CONCEPT, TYPE_DIAGRAM_REFERENCE, TYPE_FUNCTION, TYPE_GENE, TYPE_MOLECULE, TYPE_NOTE, TYPE_NOTE_LINK, TYPE_PROCESS, TYPE_PROTEIN, TYPE_REACTION, TYPE_RELATION, TYPE_RNA, TYPE_SEMANTIC_RELATION, TYPE_STATE, TYPE_SUBSTANCE, TYPE_UNKNOWN`

Constructor Summary
`SemanticRelation(DataCollection origin, java.lang.String name)`
`SemanticRelation(DataCollection origin, java.lang.String name, java.lang.String relationType)`

Method Summary
`java.lang.String` | `getInputElementName()`
`java.lang.String` | `getOutputElementName()`
`java.lang.String` | `getParticipation()`
`java.lang.String` | `getRelationType()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getType()`
`void` | `setInputElementName(java.lang.String inputElementName)`
`void` | `setOutputElementName(java.lang.String outputElementName)`
`void` | `setParticipation(java.lang.String participation)`
`void` | `setRelationType(java.lang.String relationType)`

Methods inherited from class biouml.standard.type.Referrer
`getDatabaseReferences, getDescription, getLiteratureReferences, setDatabaseReferences, setDescription, setLiteratureReferences`

Methods inherited from class biouml.standard.type.GenericEntity
`getComment, getDate, setComment, setDate`

Methods inherited from class biouml.standard.type.BaseSupport
`setTitle`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.DataElement
`getName, getOrigin`

Methods inherited from interface ru.biosoft.access.MutableDataElement
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### SemanticRelation

    public SemanticRelation(DataCollection origin,
                            java.lang.String name)

### SemanticRelation

    public SemanticRelation(DataCollection origin,
                            java.lang.String name,
                            java.lang.String relationType)

Method Detail

### getType

    public java.lang.String getType()

  Specified by:
    `getType` in interface `Base`
  Overrides:
    `getType` in class `BaseSupport`

### getTitle

    public java.lang.String getTitle()

  Specified by:
    `getTitle` in interface `Base`
  Overrides:
    `getTitle` in class `BaseSupport`

### getInputElementName

    public java.lang.String getInputElementName()

### setInputElementName

    public void setInputElementName(java.lang.String inputElementName)

### getOutputElementName

    public java.lang.String getOutputElementName()

### setOutputElementName

    public void setOutputElementName(java.lang.String outputElementName)

### getRelationType

    public java.lang.String getRelationType()

### setRelationType

    public void setRelationType(java.lang.String relationType)

### getParticipation

    public java.lang.String getParticipation()

  Specified by:
    `getParticipation` in interface `Relation`

### setParticipation

    public void setParticipation(java.lang.String participation)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.